%define dist_version 375
# define 64bit 0
# if {?64bit}
# define bits 64
# else
# endif

Name:		fmod
Version:	3.75
Release:	2%{?dist}
Summary:	FMOD audio toolkit

Group:		System Environment/Libraries
License:	Proprietary
URL:		http://www.fmod.org/
Source0:	http://www.fmod.org/index.php/release/version/%{name}api%{dist_version}linux%{?bits}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# BuildRequires:	
# Requires:	
# if {?64bit}
# ExclusiveArch:	x86_64
# else
ExclusiveArch:	i386 i586 i686
# endif

%description
The FMOD Ex Programmer's API and Designer are a world-leading library and
toolkit for the creation and playback of interactive audio. FMOD products
are widely used in the games industry and have gained a strong reputation
for its ease of use, powerful software-mixed architecture and comprehensive
cross-platform support.

FMOD supports more hardware platforms than any other audio system -
including the latest 'next gen' consoles. Consider the cost savings of not
having to change code across any platform - Save months of development time.
FMOD is actively developed, with regular releases of new features. Many new
requested features have been provided to customers in a very short
turnaround - if you want a new feature, just ask!

%package devel
Summary:	FMOD audio toolkit development headers
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The FMOD Ex Programmer's API and Designer are a world-leading library and
toolkit for the creation and playback of interactive audio. FMOD products
are widely used in the games industry and have gained a strong reputation
for its ease of use, powerful software-mixed architecture and comprehensive
cross-platform support.

This package contains development files and documentation for FMOD.

%prep
%setup -q -n %{name}api%{dist_version}linux%{?bits}


%build
# configure
# make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
# make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/%{name} $RPM_BUILD_ROOT%{_libdir}
install -p -t $RPM_BUILD_ROOT%{_libdir} api/lib%{name}-%{version}.so
install -p -t $RPM_BUILD_ROOT%{_includedir}/%{name} api/inc/*.h

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.TXT
%{_libdir}/lib%{name}-%{version}.so

%files devel
%{_includedir}/%{name}
%doc documentation

%changelog
* Wed Jan 13 2010 J. Randall Owens <jrowens@ghiapet.net> - 3.75-2
- split into main and devel packages

* Sat Jan  2 2010  <jrowens@ghiapet.net> - 3.75-1
- first attempted package build

